Subject: bug#58120: closed (Re: bug#60840: [PATCH 0/3] gnu: volctl: Update to 0.9.3.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 22 Jan 2023 21:29:02 +0000

Your bug report

#58120: volctl missing gdk dependency?

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
58120: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=58120
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60840: [PATCH 0/3] gnu: volctl: Update to 0.9.3.
From: Maxim Cournoyer <[email-masked]>
To: Sergiu Ivanov <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 22 Jan 2023 16:28:06 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Sergiu Ivanov <[email-masked]> writes:

> Hi again,
>
> Maxim Cournoyer <[email-masked]> [2023-01-16T18:01:59+0100]:
>>
>> Don't forget to CC my email when sending a revised v2 version with the
>> above :-).
>
> I CCed you, but Google doesn't like another quirk in my E-mail
> configuration which I don't have motivation to debug :-S
>
> I therefore sending you a small ping from my work E-mail, and I'm
> attaching the 3 updated patches just in case it is more convenient
> for you.

Thanks!  I've made cosmetic adjustments to the update commit like so:

--8<---------------cut here---------------start------------->8---
modified   gnu/packages/gtk.scm
@@ -2968,12 +2968,17 @@ (define-public volctl
            (lambda* (#:key inputs #:allow-other-keys)
              (substitute* "volctl/xwrappers.py"
                (("libXfixes.so")
-                (string-append (search-input-file inputs "/lib/libXfixes.so")))))))))
+                (string-append (search-input-file inputs
+                                                  "/lib/libXfixes.so")))))))))
     (inputs
      (list libxfixes))
     (propagated-inputs
-     (list python-click python-pycairo python-pygobject python-pyyaml
-           python-pulsectl gtk+))
+     (list python-click
+           python-pycairo
+           python-pygobject
+           python-pyyaml
+           python-pulsectl
+           gtk+))
     (home-page "https://buzz.github.io/volctl/")
     (synopsis "Per-application volume control and on-screen display")
     (description "Volctl is a PulseAudio-enabled tray icon volume control and
--8<---------------cut here---------------end--------------->8---

added a proper GNU Change Log to the commit message:

--8<---------------cut here---------------start------------->8---
gnu: volctl: Update to 0.9.3.

Fixes <https://issues.guix.gnu.org/58120>.

* gnu/packages/gtk.scm (volctl): Update to 0.9.3.
[arguments]: Update substitutions in patch-path phase and delete
trailing #t.
[inputs]: Delete pulseaudio.  Move gtk+ to...
[propagated-inputs] ... here.
--8<---------------cut here---------------end--------------->8---

and pushed the series!

Notice that in my environment, it doesn't run:

--8<---------------cut here---------------start------------->8---
$ volctl
PulseAudio connected
Warning: Could not embed Gtk.StatusIcon.
Fatal error: Could not create a status icon. Are you sure you have a working notification area?
pulseaudio disconnected
Alarm clock
--8<---------------cut here---------------end--------------->8---

although I have 'dunst' running on top of my ratpoison WM.

-- 
Thanks,
Maxim

Subject: volctl missing gdk dependency?
From: Simen Endsjø <[email-masked]>
To: [email-masked]
Date: Tue, 27 Sep 2022 19:39:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

$ volctl 
Traceback (most recent call last):
  File "/gnu/store/phlappy7plp4gn2wm27f5bsp7wh9w9jd-volctl-0.8.2/bin/.volctl-real", line 33, in <module>
    sys.exit(load_entry_point('volctl==0.8.2', 'gui_scripts', 'volctl')())
  File "/gnu/store/phlappy7plp4gn2wm27f5bsp7wh9w9jd-volctl-0.8.2/bin/.volctl-real", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/gnu/store/zca340qfk43qys608q8pfwqqckll49qg-python-3.9.9/lib/python3.9/importlib/metadata.py", line 77, in load
    module = import_module(match.group('module'))
  File "/gnu/store/zca340qfk43qys608q8pfwqqckll49qg-python-3.9.9/lib/python3.9/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 850, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/gnu/store/phlappy7plp4gn2wm27f5bsp7wh9w9jd-volctl-0.8.2/lib/python3.9/site-packages/volctl/__main__.py", line 9, in <module>
    gi.require_version("Gdk", "3.0")
  File "/gnu/store/ycbgix6sxahsr34553af7pkvj27rywqc-python-pygobject-3.40.1/lib/python3.9/site-packages/gi/__init__.py", line 126, in require_version
    raise ValueError('Namespace %s not available' % namespace)
ValueError: Namespace Gdk not available